<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

    <title>Django</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/epub.css" /> 
  </head><body>

    <div class="document">
      <div class="documentwrapper">
          <div class="body" role="main">
            
  <section id="django">
<h1>Django</h1>
<div class="admonition warning">
<p class="admonition-title">Avertissement</p>
<p>Lors du développement, Docker doit être actif et une instance de développement doit être active (voir section dédiée).</p>
</div>
<section id="create-a-new-app">
<h2>Create a new app</h2>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>mkdir<span class="w"> </span>apps/new-app
docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>web<span class="w"> </span>python<span class="w"> </span>manage.py<span class="w"> </span>startapp<span class="w"> </span>new-app<span class="w"> </span>apps/new-app
</pre></div>
</div>
<p>Add in <cite>settings.py</cite> file in <cite>INSTALLED_APPS</cite>.</p>
</section>
<section id="composition-of-a-django-application">
<h2>Composition of a Django application</h2>
<p>A Django application is mainly composed:</p>
<ul class="simple">
<li><p>A <code class="code docutils literal notranslate"><span class="pre">view.py</span></code> file which will be the functions that will allow to send data to web pages</p></li>
<li><p>Template files: which will receive data and display them. These files are in HTML format</p></li>
<li><p>A <code class="code docutils literal notranslate"><span class="pre">urls.py</span></code> file which gathers all the addresses of the application to make the templates accessible from a web browser</p></li>
<li><p>A <code class="code docutils literal notranslate"><span class="pre">tests.py</span></code> file to write all the unit and functional test functions</p></li>
<li><p>A <code class="code docutils literal notranslate"><span class="pre">models.py</span></code> file which contains the definition of the database tables (which will be translated into SQL in our case)</p></li>
<li><p>An <code class="code docutils literal notranslate"><span class="pre">admins.py</span></code> file to add a data table in the Django administration page</p></li>
</ul>
</section>
<section id="make-migrations-in-database">
<h2>Make migrations in database</h2>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>web<span class="w"> </span>python<span class="w"> </span>manage.py<span class="w"> </span>makemigrations
docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>web<span class="w"> </span>python<span class="w"> </span>manage.py<span class="w"> </span>migrate
</pre></div>
</div>
</section>
</section>


            <div class="clearer"></div>
          </div>
      </div>
      <div class="clearer"></div>
    </div>
  </body>
</html>